config/routes.rb
Rails.application.routes.draw do
  

  resources :transactions
  resources :supplies
  resources :products
  resources :distributors
  resources :reports, only: [:index]
  devise_for :users, :path_prefix => 'my', controllers: { sessions: 'users/sessions' }
  resources :users
  get 'users/sign_in' => 'users/sessions#new'

  get '/', to: 'home#index'

  

end

app/views/layouts/_navbar.html.erb
<nav class="navbar navbar-default navbar-fixed-top navbar-top">
  <div class="container-fluid">
    <ul class="nav navbar-nav navbar-right">
      <li class="dropdown profile">
        <a href="#" data-toggle="dropdown" role="button" aria-expanded="false">Hi, <%= current_user.email %> <span class="caret"></span></a>
      </li>
    </ul>
  </div>
</nav>

app/views/layouts/_sidebar.html.erb
<div class="side-menu sidebar-inverse">
    <nav class="navbar navbar-default" role="navigation">
        <div class="side-menu-container">
            <div class="navbar-header">
                <a class="navbar-brand" href="#">
                    <div class="icon fa fa-paper-plane"></div>
                    <div class="title">Admin V.2</div>
                </a>
                <button type="button" class="navbar-expand-toggle pull-right visible-xs">
                    <i class="fa fa-times icon"></i>
                </button>
            </div>
            <ul class="nav navbar-nav">
                <li class="active">
                    <a href="/">
                        <span class="icon fa fa-home"></span><span class="title">Home</span>
                    </a>
                </li>
                <% if current_user.is_admin? %>
                <li class="panel panel-default dropdown">
                    <a data-toggle="collapse" href="#dropdown-user">
                        <span class="icon fa fa-user"></span><span class="title">User</span>
                    </a>
                    <!-- Dropdown level 1 -->
                    <div id="dropdown-user" class="panel-collapse collapse">
                        <div class="panel-body">
                            <ul class="nav navbar-nav">
                                <li><%= link_to 'User Data', users_path %>
                                </li>
                            </ul>
                        </div>
                    </div>
                </li>
                <% end %>
                <li class="panel panel-default dropdown">
                    <a data-toggle="collapse" href="#dropdown-distributor">
                        <span class="icon fas fa-dolly-flatbed"></span><span class="title">Distributor</span>
                    </a>
                    <!-- Dropdown level 1 -->
                    <div id="dropdown-distributor" class="panel-collapse collapse">
                        <div class="panel-body">
                            <ul class="nav navbar-nav">
                                <li><%= link_to 'Daftar Distributor', distributors_path %>
                                </li>
                            </ul>
                        </div>
                    </div>
                </li>
                <li class="panel panel-default dropdown">
                    <a data-toggle="collapse" href="#dropdown-barang">
                        <span class="icon fas fa-box"></span><span class="title">Barang</span>
                    </a>
                    <!-- Dropdown level 1 -->
                    <div id="dropdown-barang" class="panel-collapse collapse">
                        <div class="panel-body">
                            <ul class="nav navbar-nav">
                                <li><%= link_to 'Daftar Barang', products_path %>
                                </li>
                            </ul>
                        </div>
                    </div>
                </li>
                <li class="panel panel-default dropdown">
                    <a data-toggle="collapse" href="#dropdown-transaksi">
                        <span class="icon fas fa-clipboard-list"></span><span class="title">Transaksi</span>
                    </a>
                    <!-- Dropdown level 1 -->
                    <div id="dropdown-transaksi" class="panel-collapse collapse">
                        <div class="panel-body">
                            <ul class="nav navbar-nav">
                                <li><%= link_to 'Supply Barang', supplies_path %>
                                </li>
                                <li><%= link_to 'Penjualan', transactions_path %>
                                </li>
                            </ul>
                        </div>
                    </div>
                </li>
                <% if current_user.is_admin? %>
                <li class="panel panel-default dropdown">
                    <a data-toggle="collapse" href="#dropdown-report">
                        <span class="icon fa fa-table"></span><span class="title">Laporan</span>
                    </a>
                    <!-- Dropdown level 1 -->
                    <div id="dropdown-report" class="panel-collapse collapse">
                        <div class="panel-body">
                            <ul class="nav navbar-nav">
                                <li><%= link_to 'Laporan', reports_path %>
                                </li>
                            </ul>
                        </div>
                    </div>
                </li>
                <% end %>
                <li class="active">
                    <%= link_to "Logout", destroy_user_session_path, class: "title", :method => :delete %>
                </li>
            </ul>
        </div>
        <!-- /.navbar-collapse -->
    </nav>
</div>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
<head>
  <title>Cashier</title>
  <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track' => true %>
  <%= javascript_include_tag 'application', 'data-turbolinks-track' => true %>
  <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
  <%= csrf_meta_tags %>
</head>

<body class="flat-blue">
  <div class="app-container">
    <div class="row content-container">
      <%= render 'layouts/navbar' %>
      <%= render 'layouts/sidebar' %>
      <%= yield %>
    </div>
  </div>
</body>
</html>

app/views/layouts/user.html.erb
<!DOCTYPE html>
<html>
<head>
  <title>Cashier</title>
  <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track' => true %>
  <%= javascript_include_tag 'application', 'data-turbolinks-track' => true %>
  <%= csrf_meta_tags %>
</head>

<body class="flat-blue login-page">
    <div class="container">
      <%= yield %>
    </div>
</body>
</html>